<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<service serviceGroup="" cachable="false" cacheduration="" description="" endpoint="default" groupType="" id="searchDocument" passwordencrypted="false" security="authorized_app_user" type="javaConnector" smscode="" smsenabled="false">
    <service-config>
        <config-param api-version="" appid="" name="preprocessorname" value=""/>
        <config-param api-version="" appid="" name="postprocessorname" value=""/>
        <config-param api-version="" appid="" name="preprocessorJS" value=""/>
        <config-param api-version="" appid="" name="postprocessorJS" value=""/>
        <config-param api-version="" appid="" name="preprocessorRules" value=""/>
        <config-param api-version="" appid="" name="postprocessorRules" value=""/>
        <config-param api-version="" appid="" name="kony_http_supported_methods" value="POST"/>
        <config-param api-version="" appid="" name="className" value="com.temenos.dms.javaservice.SearchDocumentOperation"/>
        <config-param api-version="" appid="" name="methodName" value="searchDocument"/>
        <config-param api-version="" appid="" name="sockettimeout" value=""/>
    </service-config>
    <service-input passthrough="false">
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="referenceId" order="" paramOrder="1" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="1111" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="userId" order="" paramOrder="2" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="category" order="" paramOrder="3" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="documentName" order="" paramOrder="4" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="fileInfo" order="" paramOrder="5" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="version" order="" paramOrder="6" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="authorization" order="" paramOrder="7" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="ownerSystemId" order="" paramOrder="8" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
        <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="documentGroup" order="" paramOrder="9" parentOrder="-1" passnull="false" sms-name="" src="request" sourcevalue="" srcformatvalue="" target="request" targetdatatype="java.lang.String" testvalue="" value="">
            <accessType></accessType>
        </param>
    </service-input>
    <service-output passthrough="false">
        <dataset defaultvalue="" id="documentsList" order="" paramOrder="1" parentOrder="0" src="" testvalue="">
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="documentName" order="" paramOrder="2" parentOrder="1" passnull="false" sms-name="" src="" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="documentId" order="" paramOrder="3" parentOrder="1" passnull="false" sms-name="" src="" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="metaDocumentName" order="" paramOrder="4" parentOrder="1" passnull="false" sms-name="" src="" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="category" order="" paramOrder="5" parentOrder="1" passnull="false" sms-name="" src="" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="documentStatus" order="" paramOrder="6" parentOrder="1" passnull="false" sms-name="" src="" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="documentType" order="" paramOrder="7" parentOrder="1" passnull="false" sms-name="" src="" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="lastChangeUserId" order="" paramOrder="8" parentOrder="1" passnull="false" sms-name="" src="" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
            <param datatype="string" defaultvalue="" description="" encode="true" format="None" formatvalue="" name="fileSize" order="" paramOrder="9" parentOrder="1" passnull="false" sms-name="" src="" sourcevalue="" srcformatvalue="" target="response" targetdatatype="java.lang.String" testvalue="" value="">
                <accessType></accessType>
            </param>
        </dataset>
    </service-output>
</service>
